package ch.dlcm.solidify.model;

import java.util.ArrayList;
import java.util.List;

public class OpenApiExtraDocumentation {
  private String path;
  private String schema;
  private List<OpenApiExtraDocumentationProperties> properties;

  public OpenApiExtraDocumentation() {
  }

  public OpenApiExtraDocumentation(String path) {
    this.path = path;
    this.schema = getSchema(path);
    this.properties = new ArrayList<>();
  }

  private String getSchema(String path) {
    if (path.lastIndexOf("/") == -1)
      return null;
    return path.substring(path.lastIndexOf("/") + 1);
  }

  public List<OpenApiExtraDocumentationProperties> getProperties() {
    return properties;
  }

  public void setProperties(List<OpenApiExtraDocumentationProperties> properties) {
    this.properties = properties;
  }

  public String getSchema() {
    return schema;
  }

  public void setSchema(String schema) {
    this.schema = schema;
  }

  public String getPath() {
    return path;
  }

  public void setPath(String path) {
    this.path = path;
  }
}
