package ch.dlcm.solidify.model;

import java.util.List;

public class OpenApiExtraDocumentationProperties {
  private String fieldName;
  private List<String> enumsValue;
  private String format;
  private String item;

  public OpenApiExtraDocumentationProperties() {
  }

  public OpenApiExtraDocumentationProperties(String fieldName) {
    this.fieldName = fieldName;
    this.format = null;
    this.item = null;
    this.enumsValue = null;
  }

  public OpenApiExtraDocumentationProperties(String fieldName, String format) {
    this(fieldName);
    this.format = format;
  }

  public OpenApiExtraDocumentationProperties(String fieldName, String format, String item) {
    this(fieldName, format);
    this.item = item;
  }

  public OpenApiExtraDocumentationProperties(String fieldName, String format,
          List<String> enumsValue) {
    this(fieldName, format);
    this.enumsValue = enumsValue;
  }

  public List<String> getEnumsValue() {
    return enumsValue;
  }

  public void setEnumsValue(List<String> enumsValue) {
    this.enumsValue = enumsValue;
  }

  public String getFormat() {
    return format;
  }

  public void setFormat(String format) {
    this.format = format;
  }

  public String getFieldName() {
    return fieldName;
  }

  public void setFieldName(String fieldName) {
    this.fieldName = fieldName;
  }

  public String getItem() {
    return item;
  }

  public void setItem(String item) {
    this.item = item;
  }

}
