package ch.dlcm.solidify.model;

import ch.dlcm.solidify.process.BaseProcess;

public class PageObject extends AttributeObject {
    public PageProperties properties;

    public PageObject() {
        type = BaseProcess.OBJECT;
        description = "Gives the total pages and the total available items of one resource";
        properties = new PageProperties();
        properties.currentPage = new AttributeObject(BaseProcess.NUMBER, "The current page number");
        properties.sizePage = new AttributeObject(BaseProcess.NUMBER, "The number of item per page");
        properties.totalItems  = new AttributeObject(BaseProcess.NUMBER, "The total number of items");
        properties.totalPages = new AttributeObject(BaseProcess.NUMBER, "The total number of page");
    }

    private class PageProperties {
        public AttributeObject totalPages;
        public AttributeObject totalItems;
        public AttributeObject currentPage;
        public AttributeObject sizePage;
    }
}
