package ch.dlcm.solidify.model;

import ch.dlcm.solidify.process.BaseProcess;

public class ParametersObject {
    public SchemaObject schema;
    public String in;
    public String name;
    public String description;
    public boolean required;
    public String style;
    public boolean explode;

    public ParametersObject() {
        in = "path";
        name = "resId";
        description = "Resource Id (GUID)";
        required = true;
        schema = new SchemaObject();
        schema.type = "string";
    }

    public ParametersObject(String name, String in, String description, boolean required, String type) {
        this.in = in;
        this.name = name;
        this.description = description;
        this.required = required;
        this.schema = new SchemaObject();
        this.schema.type = type;
    }

    public ParametersObject(String name, String in, String description, boolean required, String type, String format) {
        this(name, in, description, required, type);
        this.schema.format = format;
    }

    public static ParametersObject getFiltersFormQueryParameters() {
        ParametersObject parametersObject = new ParametersObject();
        parametersObject.in = BaseProcess.QUERY;
        parametersObject.name = BaseProcess.FILTERS;
        parametersObject.schema.type = BaseProcess.OBJECT;
        parametersObject.schema.additionalProperties = new AdditionalPropertiesObject(BaseProcess.STRING);
        parametersObject.description = "Filters forms to add where condition. To filter on a field if the field is embedded in a sub structure, the field name must be fully named with “.” for each level:+ <sub structure name>.<field name>";
        parametersObject.style = BaseProcess.FORM;
        parametersObject.required = false;
        parametersObject.explode = true;
        return parametersObject;
    }

    public class SchemaObject {
        public String type;
        public String format;
        public AdditionalPropertiesObject additionalProperties;

        private SchemaObject() {
        }
    }
}
