package ch.dlcm.solidify.process;

import java.util.HashMap;
import java.util.Map;

import org.json.JSONObject;

/**
 * Define old & new name relationship with webservice
 */
public class PathNormalizationProcess extends BaseProcess {

  public PathNormalizationProcess() {
  }

  public void process(JSONObject json) {
    JSONObject pathsJson = this.getPathsNode(json);
    Map<String, Object> newList = new HashMap<>();

    // Rename & save path object
    for (String path : pathsJson.keySet()) {
      JSONObject pathObj = pathsJson.getJSONObject(path);

      // Remove prefix '/dlcm'
      String newPath;
      if (path.equals("/dlcm")) {
        newPath = "/";
      } else {
        newPath = path.substring(5);
      }
      long count = this.countCharacter(path, '/');
      if (count == 4) {
        newPath = path.substring(5, path.lastIndexOf('/'));
      }
      newList.put(newPath, pathObj);
    }

    // Update paths object
    this.migrateNodes(json, PATHS_KEY, newList);
  }

}
