package ch.dlcm.solidify.process;

import java.util.Iterator;

import org.json.JSONObject;

/**
 * Add to path with POST verb the other verb (GET, GET_BY_ID, PATCH, DELETE)
 */
public class PathRemoveApplicationPrefixOnOperationIdProcess extends BaseProcess {

  public PathRemoveApplicationPrefixOnOperationIdProcess() {
  }

  public void process(JSONObject json) {
    for (Iterator<String> i = this.getPathsNode(json).keys(); i.hasNext();) {
      String pathName = i.next();
      JSONObject path = this.getPathsNode(json).getJSONObject(pathName);

      JSONObject verb = getFirstChild(path);
      if (verb == null)
        continue;

      applyNewOperationIdName(verb);
    }
  }

  private void applyNewOperationIdName(JSONObject verb) {
    String operationId = verb.getString(OPERATION_ID_KEY);
    operationId = removeApplicationOperationIdPrefix(operationId);
    verb.put(OPERATION_ID_KEY, operationId);
  }

  private String removeApplicationOperationIdPrefix(String operationId) {
    if (operationId.startsWith(APPLICATION_OPERATION_ID_PREFIX)) {
      operationId = operationId.substring(APPLICATION_OPERATION_ID_PREFIX.length());
    }
    return operationId;
  }
}
