package ch.dlcm.solidify.process;

import java.util.Iterator;

import org.json.JSONObject;

/**
 * Force type of all array into string
 */
public class SchemaArrayTypeProcess extends BaseProcess {
  public SchemaArrayTypeProcess() {
  }

  public void process(JSONObject json) {
    // Update schema : remove 'oneOf'
    updateSchemasArrayTypeRecursively(this.getSchemasNode(json));
  }

  private void updateSchemasArrayTypeRecursively(JSONObject obj) {
    for (Iterator<String> i = obj.keys(); i.hasNext();) {
      String key = i.next();

      if (key.equals(ONE_OF)) {
        updateOneOfSchemas(obj, key);
        break;
      }
      if (obj.get(key).getClass() == JSONObject.class) {
        updateSchemasArrayTypeRecursively(obj.getJSONObject(key));
      }
    }
  }

  private void updateOneOfSchemas(JSONObject obj, String key) {
    obj.remove(key);
    obj.put(TYPE_KEY, STRING);
  }
}
